NewWacht Bench is live — AI-assisted development for Wacht

Create Oauth App

POST
/oauth/apps

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/oauth/apps" \  -F slug="string" \  -F name="string"
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "logo_url": "string",
  "fqdn": "string",
  "supported_scopes": [
    "string"
  ],
  "scope_definitions": [
    {
      "scope": "string",
      "display_name": "string",
      "description": "string",
      "archived": true,
      "category": "string",
      "organization_permission": "string",
      "workspace_permission": "string"
    }
  ],
  "allow_dynamic_client_registration": true,
  "is_active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}